<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_5ecedeb8c083d4a2a4ebef5526097f" . "58" => base64_decode("YXNzaWd" . "uZWVz"), "_83396dddf" . "c39e26775d" . "1e61db5abf" . "86b" => base64_decode("bW9ua" . "XRvcm" . "luZw=" . "="), "_7f5aa4e9" . "6d4b415a8" . "6ed72ebff" . "677cbe" => base64_decode("cXVl" . "cnk="), "st" . "at" . "us" => base64_decode("c3Rh" . "dHVz"), "project_i" . "d" => base64_decode("cHJvamVjdF9" . "pZA=="), "_5159b3572969eca46acd1b2e1418459" . "c" => base64_decode("aW1" . "wbG" . "9kZ" . "Q=="), "_8f3ef8878b2a" . "82b830d051a05" . "9162317" => base64_decode("Y3JlYXRlZF9m" . "cm9t"), "_ff248fe1eba68f1" . "90ea1ff00a554acd" . "e" => base64_decode("YXNzaW" . "duZWU="), "_57c0a2f09e2a920c0560baf" . "fc5e3d295" => base64_decode("cmVwb3J0ZX" . "Jz"), "_7608a2690" . "229dd26ac4" . "3cb60aa2a7" . "d97" => base64_decode("bGFzdF9tb2R" . "pZmllZA=="), "_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0" => base64_decode(""), "_7276e0af756e5" . "29d30af7aaafe4" . "e7784" => base64_decode("YXJ" . "jaG" . "l2Z" . "WQ="), "_c42d618c08b720c" . "25b90ad5550e2db2" . "f" => base64_decode("cmVwb3J0" . "ZXI="), "_8af1b1bd0c" . "05175c85a4c" . "ee44d47d2da" => base64_decode("cXVlcn" . "lfZmll" . "bGRz"), "_1ac5cc48c34c5362" . "e94d8667cc7b0ddc" => base64_decode("LA" . "=="), "_f73dab60663" . "0b388645c4f7" . "d3fbb13bb" => base64_decode("YXJy" . "YXlf" . "bWVy" . "Z2U="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c42d618c08b720" . "c25b90ad5550e2d" . "b2f"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ff248fe1eba68f190ea1ff00a554ac" . "de"]] ?? $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["stat" . "us"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8f3ef887" . "8b2a82b83" . "0d051a059" . "162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7608a2690229dd26ac43c" . "b60aa2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7276e0af756e529d30a" . "f7aaafe4e7784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_7276e0af756e529d" . "30af7aaafe4e7784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_83396dddfc39e26775d1e61db5abf86" . "b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_83396dddfc39e26775d1e61db5abf8" . "6b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7f5aa4e96d" . "4b415a86ed7" . "2ebff677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8af1b1b" . "d0c05175" . "c85a4cee" . "44d47d2d" . "a"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8af1b1bd0c05175" . "c85a4cee44d47d2d" . "a"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f73dab606630b388645c4f7d3" . "fbb13bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["project_" . "id"] => $this->projectId, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_57c0a2f09e2a920c0560baffc5e3" . "d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5159b3572969eca46a" . "cd1b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_1ac5cc48c34c" . "5362e94d8667c" . "c7b0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5ecedeb8c083d4a2a4" . "ebef5526097f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_5159b3572969eca" . "46acd1b2e1418459" . "c"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_1ac5cc48c34c5362e94d8667cc7b0d" . "dc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7276e0af756e529d3" . "0af7aaafe4e7784"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_83396dddfc39e26775d1e61db5a" . "bf86b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["statu" . "s"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}